UMOUNT(8)

NAME
umount - unmount file systems

SYNOPSIS
umount [-fv] special | node
umount -a [-fv] [-h host] [-t ufs | lfs | external_type]

DESCRIPTION
The umount command calls the unmount(2) system call to remove a special device or the remote node (rhost:path) from the file system tree at the point node. If either special or node are not provided, the appropriate information is taken from the fstab(5) file.

The options are as follows:

-a  All of the file systems described in fstab(5) are unmounted.

-f  The file system is forcibly unmounted. Active special devices continue to work, but all other files return errors if further accesses are attempted. The root file system cannot be forcibly unmounted.

-h host
    Only filesystems mounted from the specified host will be unmounted. This option is implies the -a option and, unless otherwise specified with the -t option, will only unmount NFS filesystems.

-t ufs \*(Ba lfs \*(Ba external type
    Is used to indicate the actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the umount command:

        umount -a -t nfs,mfs

    umounts all filesystems of the type NFS and MFS.

-v  Verbose, additional information is printed out as each file system is unmounted.

FILES
/etc/fstab
    file system table

SEE ALSO
unmount(2), fstab(5), mount(8)

BUGS
When using union filesystems, umount(8) cannot always determine the node which is the mountpoint. In this case, it is necessary to specify the relevant directory to be unmounted in the same form as that displayed by mount(8). For example, given a mount entry like this:

    <above>/tmpdir on /cdrom (local, user mount)

then the command:

    umount '<above>/tmpdir'

would unmount /tmpdir from the mountpoint /cdrom.

HISTORY
A umount command appeared in AT&T UNIX.